mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Parameter, Inherited=false)

You apply the CallerLineNumber attribute to an optional parameter that has a default value. You must specify an explicit default value for the optional parameter. You can't apply this attribute to parameters that aren't specified as optional.

For more information, see Caller Information (C# and Visual Basic).

Allows you to obtain the line number in the source file at which the method is called.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.